Package com.creditcall.chipdnamobile

# Class UserNotification

java.lang.Object
com.creditcall.chipdnamobile.UserNotification

public final class UserNotification extends Object
The possible user notifications that can occur during a standalone (sale or refund) transaction process.

Author:
  Creditcall Ltd

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final UserNotification`
  `ChipReadErrorApplicationNotSupportedPleaseRetry`
  Indicates there has been an issue with the ICC chip and the user should retry.
  `static final UserNotification`
  `ICCFallforward`
  Indicates that fallforward from Contactless to Insert has occurred.
  `static final UserNotification`
  `ICCMSRFallforward`
  Indicates that fallforward from Contactless to Insert/Swipe has occurred.
  `static final UserNotification`
  `MSRFallback`
  Indicates that fallback to Swipe has occurred.
  `static final UserNotification`
  `MSRFallforward`
  Indicates that fallforward from Contactless to Swipe has occurred.
  `static final UserNotification`
  `PresentOneCardOnly`
  Indicates that only one card should be presented.
  `static final UserNotification`
  `ReferToDevice`
  Indicates referral to device.
  `static final UserNotification`
  `TryCardAgain`
  Indicates that the card should be tried again.
  `static final UserNotification`
  `UseOtherCard`
  Indicates that the card is invalid or not supported and should use different card.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  Gets the User Notification string value.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ReferToDevice

    public static final UserNotification ReferToDevice
    Indicates referral to device.

  - ### ChipReadErrorApplicationNotSupportedPleaseRetry

    public static final UserNotification ChipReadErrorApplicationNotSupportedPleaseRetry
    Indicates there has been an issue with the ICC chip and the user should retry.

  - ### PresentOneCardOnly

    public static final UserNotification PresentOneCardOnly
    Indicates that only one card should be presented.

  - ### MSRFallback

    public static final UserNotification MSRFallback
    Indicates that fallback to Swipe has occurred.

  - ### MSRFallforward

    public static final UserNotification MSRFallforward
    Indicates that fallforward from Contactless to Swipe has occurred.

  - ### ICCFallforward

    public static final UserNotification ICCFallforward
    Indicates that fallforward from Contactless to Insert has occurred.

  - ### ICCMSRFallforward

    public static final UserNotification ICCMSRFallforward
    Indicates that fallforward from Contactless to Insert/Swipe has occurred.

  - ### TryCardAgain

    public static final UserNotification TryCardAgain
    Indicates that the card should be tried again.

  - ### UseOtherCard

    public static final UserNotification UseOtherCard
    Indicates that the card is invalid or not supported and should use different card.

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the User Notification string value.
    Returns:
      The user notification value.